<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\VorgesetzteAnmeldungenGenehmigen\BelegungsUebersicht;

class BelegungsUebersichtController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new BelegungsUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new BelegungsUebersichtRequest();
    $requestObj->seite = \GetOperations::getVarValue('seite');
    $requestObj->einstieg = \GetOperations::isDefined('einstieg');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new BelegungsUebersichtPresenter($pUseCaseResponse);
  }
}